%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                           %
%    Output data to a file (output.txt).    %
%                                           %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
for i = 1: n
    if ( b_pqr(i, 1) == 0 )
        ew_pqr(i, 1) = inf;
    else
        ew_pqr(i, 1) = a_pqr(i, 1) ./ b_pqr(i, 1);
    end
end    
[ew_pqr, I_pqr] = sort(ew_pqr);
a_pqr = a_pqr(I_pqr);
b_pqr = b_pqr(I_pqr);

up_pqr = abs( a_pqr .* b_org - b_pqr .* a_org ) ;
dn_pqr = abs(b_pqr) .* abs(a_org) ;
nm_org = sqrt( abs(a_org).^2 + abs(b_org).^2 );
nm_pqr = sqrt( abs(a_pqr).^2 + abs(b_pqr).^2 );
tmp_pqr = nm_org .* nm_pqr ;
abs_err_pqr = up_pqr ./ tmp_pqr ;
rel_err_pqr = up_pqr ./ dn_pqr;
  
disp('   ');
fprintf(fid, ' \n');
fprintf('  seed = %6.0f,  period = %3.0f \n', nseed, p);
fprintf(fid,'  seed = %6.0f,  period = %3.0f \n', nseed, p);
fprintf('  \n');
fprintf(fid,'  \n');
fprintf('  no              ew              abs_err_pqz  rel_err_pqz  \n');
fprintf(fid, '  no              ew              abs_err_pqz  rel_err_pqz  \n');
for k = 1: n  
    fprintf(' %3.0f | %11.3e %11.3ei | %10.1e | %10.1e \n', k, real(ew_org(k)), imag(ew_org(k)), ...
             abs_err_pqr(k), rel_err_pqr(k) );
    fprintf(fid, ' %3.0f | %11.3e %11.3ei | %10.1e | %10.1e \n', k, real(ew_org(k)), imag(ew_org(k)), ...
             abs_err_pqr(k), rel_err_pqr(k) );
end
fprintf(' \n');
fprintf('  P.S. the values of abs_err are computed by chordal metric. ');
fprintf(fid,'  \n'); 
fprintf(fid, '  P.S. the values of abs_err are computed by chordal metric. ');
fprintf(' \n\n');
fprintf(fid, '  \n\n');

